import 'dart:async';

class RobotProvider {
  static final RobotProvider _singleton = RobotProvider._internal();
  var value;
  StreamController<Map> controller = StreamController<Map>.broadcast();

  getData() {
    // return data;
  }

  intStream() {
    controller.add({});
  }

  setValue(Map data) {
    value = data;
    controller.add(value);
  }

  factory RobotProvider() {
    return _singleton;
  }

  RobotProvider._internal();
}
